Irrlicht Engine: irr::SEvent::SMouseInput Struct Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::SEvent::SMouseInput Struct Reference

Any kind of mouse event. More...

`#include <IEventReceiver.h>`

List of all members.

## Public Member Functions
bool | isLeftPressed () const
| Is the left button pressed down?
bool | isMiddlePressed () const
| Is the middle button pressed down?
bool | isRightPressed () const
| Is the right button pressed down?
## Public Attributes
u32 | ButtonStates
bool | Control:1
| True if ctrl was also pressed.
EMOUSE_INPUT_EVENT | Event
| Type of mouse event.
bool | Shift:1
| True if shift was also pressed.
f32 | Wheel
| mouse wheel delta, usually 1.0 or -1.0.
s32 | X
| X position of mouse cursor.
s32 | Y
| Y position of mouse cursor.

## Detailed Description

Any kind of mouse event.

Definition at line 278 of file IEventReceiver.h.

## Member Function Documentation

bool irr::SEvent::SMouseInput::isLeftPressed | ( |  | ) | const`[inline]`

Is the left button pressed down?

Definition at line 302 of file IEventReceiver.h.

References ButtonStates, and irr::EMBSM_LEFT.

bool irr::SEvent::SMouseInput::isMiddlePressed | ( |  | ) | const`[inline]`

Is the middle button pressed down?

Definition at line 308 of file IEventReceiver.h.

References ButtonStates, and irr::EMBSM_MIDDLE.

bool irr::SEvent::SMouseInput::isRightPressed | ( |  | ) | const`[inline]`

Is the right button pressed down?

Definition at line 305 of file IEventReceiver.h.

References ButtonStates, and irr::EMBSM_RIGHT.

## Member Data Documentation

u32 irr::SEvent::SMouseInput::ButtonStates

A bitmap of button states. You can use isButtonPressed() to determine if a button is pressed or not. Currently only valid if the event was EMIE_MOUSE_MOVED

Definition at line 299 of file IEventReceiver.h.

Referenced by isLeftPressed(), isMiddlePressed(), and isRightPressed().

bool irr::SEvent::SMouseInput::Control

True if ctrl was also pressed.

Definition at line 294 of file IEventReceiver.h.

EMOUSE_INPUT_EVENT irr::SEvent::SMouseInput::Event

Type of mouse event.

Definition at line 311 of file IEventReceiver.h.

bool irr::SEvent::SMouseInput::Shift

True if shift was also pressed.

Definition at line 291 of file IEventReceiver.h.

f32 irr::SEvent::SMouseInput::Wheel

mouse wheel delta, usually 1.0 or -1.0.

Only valid if event was EMIE_MOUSE_WHEEL

Definition at line 288 of file IEventReceiver.h.

s32 irr::SEvent::SMouseInput::X

X position of mouse cursor.

Definition at line 281 of file IEventReceiver.h.

s32 irr::SEvent::SMouseInput::Y

Y position of mouse cursor.

Definition at line 284 of file IEventReceiver.h.

The documentation for this struct was generated from the following file:

- IEventReceiver.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:03 2010 by Doxygen (1.6.2)